This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 176405 - Add Open Font License
Add Open Font License
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
http://scripts.sil.org/cms/scripts/pa...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-22 04:12 EST by Michael A. Peters
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.76-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-11 14:24:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael A. Peters 2005-12-22 04:12:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Can we add the Open Font License to the rpmlint licenses?

http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&item_id=OFL

"The SIL Open Font License (OFL) is a new free and open source license specifically designed for fonts and related software based on our experience in font design and linguistic software engineering.

The main purpose is to enable a true open typographic community to spring up and grow. The OFL provides a legal framework and infrastructure for worldwide development, sharing and improvement of fonts and related software in a collaborative manner. It enables font authors to release their work under a common license that allows bundling, modification and redistribution. It encourages shared value, is not limited to any specific computing platform or environment, and can be used by other organisations or individuals."

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpmlinr a package with that license
2.
3.
  

Actual Results:  rpmlint warning

Expected Results:  rpmlint blissfulness

Additional info:
Comment 1 Ville Skyttä 2006-01-05 14:52:47 EST
Are there many packages out there using this license?
Comment 2 Michael A. Peters 2006-01-10 16:50:05 EST
Right now AFAIK only one - but SIL has several fonts in beta testing that they
plan to release under this license, which they designed in hopes that other font
developers could use the license as well.
Comment 3 Ville Skyttä 2006-02-28 15:12:58 EST
What do you think the exact form recognized by rpmlint should be?
"SIL Open Font License", "OFL"?  I don't see it being referred to as "Open Font
License" (without "SIL", that is).
Comment 4 Michael A. Peters 2006-03-04 22:16:50 EST
SIL OFL would work imho.
Comment 5 Ville Skyttä 2006-04-11 14:24:23 EDT
Done in 0.76-1.

Note You need to log in before you can comment on or make changes to this bug.